Wesnoth User Made Content IDE [2.0.3]

The place to post your WML questions and answers.

Moderators: Forum Moderators, Developers

Forum rules
  • Please use [code] BBCode tags in your posts for embedding WML snippets.
  • To keep your code readable so that others can easily help you, make sure to indent it following our conventions.
Post Reply

What's your usage of the UMC IDE?

I don't use it, but I plan to.
24
42%
I don't use it and I don't plan to.
15
26%
I use it seldom
10
18%
I use it regularly.
8
14%
 
Total votes: 57

User avatar
SigurdFireDragon
Developer
Posts: 501
Joined: January 12th, 2011, 2:18 am
Location: Pennsylvania, USA

Re: Wesnoth User Made Content IDE [2.0.1]

Post by SigurdFireDragon »

If I specify a program with lua highlighting, a window will open outside the IDE. I'd like it to open inside.

if I use 'text editor', it will open inside, but not have any syntax highlighting.

If I use 'system editor' it will open outside the ide with whatever program my system has set to handle lua
Maintainer of Wings of Valor
My Add-ons: Random Campaign, Custom Campaign, Ultimate Random Maps, Era of Legends, Gui Debug Tools
Erfworld: The comic that lead me to find Wesnoth.
timotei
Developer
Posts: 76
Joined: March 20th, 2010, 10:00 am

Re: Wesnoth User Made Content IDE [2.0.1]

Post by timotei »

Well, there is no lua highlighting provided by the current wesnoth plugin alas :(

But you can use http://luaeclipse.luaforge.net/ You can install it alongside with the wesnoth plugin.
Wesnoth User Made Content IDE/Plugin - an easier way of developing new content for Wesnoth.
User avatar
SigurdFireDragon
Developer
Posts: 501
Joined: January 12th, 2011, 2:18 am
Location: Pennsylvania, USA

Re: Wesnoth User Made Content IDE [2.0.1]

Post by SigurdFireDragon »

Ok, tried that, and some other things. Here's what happened:

Had updated the wesnoth plugin to 2.0.2

The update site (http://luaeclipse.luaforge.net/update-site/site.xml) that was listed at
http://luaeclipse.luaforge.net/manual.html#installation is broken.

Tried LunarEclipse, which seemed promising at http://lunareclipse.sourceforge.net/
but it only let me do the 2.0.0 version via eclipse update which required dltk version 2.0, which in turn required ..emf.core 2.4.0...(http://download.eclipse.org/modeling/em ... /releases/) which conflicted with the wesnoth plugin.

Attempted to do manual installs of
LuaEclipse 1.1.0 & 1.2.0 download (found at http://files.luaforge.net/releases/luae ... luaeclipse)
&
Lunar Eclipse 1.10 & 1.2.8 & 1.3.0 (http://sourceforge.net/projects/lunarec ... areclipse/)

but I might be doing something wrong on the manual installing, or there might be conflicts. Followed the directions at http://luaeclipse.luaforge.net/manual.html#installation for manual download.

Any thoughs on how to get a manual install to work?
Maintainer of Wings of Valor
My Add-ons: Random Campaign, Custom Campaign, Ultimate Random Maps, Era of Legends, Gui Debug Tools
Erfworld: The comic that lead me to find Wesnoth.
timotei
Developer
Posts: 76
Joined: March 20th, 2010, 10:00 am

Re: Wesnoth User Made Content IDE [2.0.1]

Post by timotei »

What error you get in the conflicts?
Wesnoth User Made Content IDE/Plugin - an easier way of developing new content for Wesnoth.
User avatar
SigurdFireDragon
Developer
Posts: 501
Joined: January 12th, 2011, 2:18 am
Location: Pennsylvania, USA

Re: Wesnoth User Made Content IDE [2.0.1]

Post by SigurdFireDragon »

Well, I went through looking to see what errors/conflicts I got with LunarEclipse on a clean standalone istall of the UMC IDE upgraded to Wesnoth plug-in 2.0.2. Upon seeing the list of conflicts/depenencies, I decided to go look for another plug-in and stumbled on:

http://www.eclipse.org/koneki/ldt/#installation

used the update site of: http://download.eclipse.org/koneki/releases/stable listed on that page...
selected only Lua Development Tools 1.2.0.201406251556

and it installed and worked properly. :D
Maintainer of Wings of Valor
My Add-ons: Random Campaign, Custom Campaign, Ultimate Random Maps, Era of Legends, Gui Debug Tools
Erfworld: The comic that lead me to find Wesnoth.
User avatar
Bitron
Developer
Posts: 452
Joined: October 19th, 2015, 9:23 am
Location: Germany

Re: Wesnoth User Made Content IDE [2.0.3]

Post by Bitron »

Hey Guys!

A little Question: Is this supporting Wesnoth 1.12 too?
gfgtdf
General Code Maintainer
Posts: 1343
Joined: February 10th, 2013, 2:25 pm

Re: Wesnoth User Made Content IDE [2.0.3]

Post by gfgtdf »

Does anyone know where i can see the sourcecode of this project? I couldn't find any source links here and i didn't find it on timoteis github page.

EDIT: Ok, found it that the source is located in utils/umc_dev of the wesnoth repo
Scenario with Robots SP scenario (1.11/1.12), allows you to build your units with components, PYR No preperation turn 1.12 mp-mod that allows you to select your units immideately after the game begins.
Post Reply